| IOLink Python 1.11.0

Loading...
Searching...
No Matches
Public Member Functions | Properties | List of all members
iolink.iolink.ReadonlySpatialCalibrationProperty Class Reference
Inheritance diagram for iolink.iolink.ReadonlySpatialCalibrationProperty:

## Public Member Functions
| __init__ (self, calibration)
| get_origin (self)
| get_spacing (self)
| get_directions (self)
| get_unit (self)
| to_string (self)
| __repr__ (self)

## Properties
| thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
| origin = property(get_origin, doc=get_origin.__doc__)
| spacing = property(get_spacing, doc=get_spacing.__doc__)
| directions = property(get_directions, doc=get_directions.__doc__)
| unit = property(get_unit, doc=get_unit.__doc__)

## Detailed Description

    Wrapper class around SpatialCalibrationProperty to force readonly access.

## Constructor & Destructor Documentation

## ◆ __init__()

iolink.iolink.ReadonlySpatialCalibrationProperty.__init__ | ( |  | self,
|  |  | calibration
| ) |  |

    Wrap the SpatialCalibrationProperty instance.

## Member Function Documentation

## ◆ get_directions()

iolink.iolink.ReadonlySpatialCalibrationProperty.get_directions | ( |  | self | ) |

    Proxy for SpatialCalibrationProperty::directions.

## ◆ get_origin()

iolink.iolink.ReadonlySpatialCalibrationProperty.get_origin | ( |  | self | ) |

    Proxy for SpatialCalibrationProperty::origin.

## ◆ get_spacing()

iolink.iolink.ReadonlySpatialCalibrationProperty.get_spacing | ( |  | self | ) |

    Proxy for SpatialCalibrationProperty::spacing.

## ◆ get_unit()

iolink.iolink.ReadonlySpatialCalibrationProperty.get_unit | ( |  | self | ) |

    Proxy for SpatialCalibrationProperty::unit.

## ◆ to_string()

iolink.iolink.ReadonlySpatialCalibrationProperty.to_string | ( |  | self | ) |

    Proxy for SpatialCalibrationProperty::toString.

The documentation for this class was generated from the following file:

- Release/python/iolink/iolink.py